package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderListBatchQueryRequest struct {
	/*
	   下单终端: APP / POS，非必填     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   店铺号列表，order_from=4时必填，其他非必填     */
	StoreIds *[]string `json:"store_ids,omitempty" `

	/*
	   废弃字段     */
	SyncStatus *string `json:"sync_status,omitempty" `

	/*
	   订单状态: PAID / PACKAGED / SUCCESS，非必填     */
	OrderStatus *[]string `json:"order_status,omitempty" `

	/*
	   起始时间，必填     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   结束时间，必填     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   页序号，从0开始，必填     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   单页大小，不超过200，必填     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   渠道来源，3：饿了么  4：盒马&淘鲜达 18:大润发飞牛  19:欧尚外卖  20：商家自有渠道 ，必填     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   渠道店id，order_from=4时非必填，其他必填     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   经营店id，非必填     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   业务类型 aelophy/其它     */
	BizType *string `json:"biz_type,omitempty" `
}

func (s *AlibabaWdkOrderListBatchQueryRequest) SetOrderClient(v string) *AlibabaWdkOrderListBatchQueryRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetStoreIds(v []string) *AlibabaWdkOrderListBatchQueryRequest {
	s.StoreIds = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetSyncStatus(v string) *AlibabaWdkOrderListBatchQueryRequest {
	s.SyncStatus = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetOrderStatus(v []string) *AlibabaWdkOrderListBatchQueryRequest {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkOrderListBatchQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkOrderListBatchQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetPageIndex(v int64) *AlibabaWdkOrderListBatchQueryRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetPageSize(v int64) *AlibabaWdkOrderListBatchQueryRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetOrderFrom(v int64) *AlibabaWdkOrderListBatchQueryRequest {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetShopId(v string) *AlibabaWdkOrderListBatchQueryRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetStoreId(v string) *AlibabaWdkOrderListBatchQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkOrderListBatchQueryRequest) SetBizType(v string) *AlibabaWdkOrderListBatchQueryRequest {
	s.BizType = &v
	return s
}
